Leads
Sync remove leads from all campaigns
Removes up to 100 people from every campaign in the account. Emits one lead.removed_from_all_campaigns.completed batch webhook.
POST
/v1/leads:remove-from-all-campaignsAuthorization
bearerAuth AuthorizationBearer <token>
Use an account API key in the Authorization header: Authorization: Bearer f_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
global_lead_idsarray<string>
Items
1 <= items <= 100curl -X POST "https://example.com/v1/leads:remove-from-all-campaigns" \ -H "Content-Type: application/json" \ -d '{ "global_lead_ids": [ "string" ] }'{ "data": { "removed": 0, "skipped": 0, "errors": [ { "globalLeadId": "string", "message": "string" } ] }}{ "error": { "type": "invalid_request_error", "code": "invalid_flow", "message": "Flow validation failed" }, "details": [ { "path": "nodes[1].data.variants[0].id", "code": "invalid_variant_id", "message": "Email variants must have a stable UUID id." } ]}{ "error": { "type": "authentication_error", "code": "invalid_api_key", "message": "A valid Furnace API key is required" }}{ "error": { "type": "invalid_request_error", "code": "campaign_not_found", "message": "Campaign not found" }}{ "error": { "type": "rate_limit_error", "code": "rate_limit_exceeded", "message": "Rate limit exceeded for this account" }}{ "error": { "type": "api_error", "code": "internal_error", "message": "Internal server error" }}